const int BlinkLeftLedPin = 9;
const int BlinkRightLedPin = 11;
const int FrontLedPin = 7;
const int Rear1LedPin = 8;
const int Rear2LedPin = 13;

const int BlinkLeftButtonPin = 2;
const int BlinkRightButtonPin = 3;
const int FrontButtonPin = 4;
const int LightShowButtonPin = 5;
const int BothButtonPin = 6;

int BlinkLeftButtonState = 0;
int BlinkLeftLastButtonState = 0;
int BlinkLeftButtonPushCounter =0;

int BlinkRightButtonState = 0;
int BlinkRightLastButtonState = 0;
int BlinkRightButtonPushCounter = 0;

int FrontButtonState = 0;
int FrontLastButtonState = 0;
int FrontButtonPushCounter =0;

int LightShowButtonState = 0;
int LightShowLastButtonState = 0;
int LightShowButtonPushCounter = 0;

int BothButtonState = 0;
int BothLastButtonState = 0;
int BothButtonPushCounter =0;

void setup() {

Serial.begin(9600);

pinMode(10, INPUT);

pinMode(BlinkLeftLedPin,OUTPUT);
pinMode(BlinkRightLedPin,OUTPUT);
pinMode(FrontLedPin,OUTPUT);
pinMode(Rear1LedPin,OUTPUT);
pinMode(Rear2LedPin,OUTPUT);

pinMode(BlinkLeftButtonPin,INPUT);
pinMode(BlinkRightButtonPin,INPUT);
pinMode(FrontButtonPin,INPUT);
pinMode(LightShowButtonPin,INPUT);
pinMode(BothButtonPin,INPUT);

digitalWrite(BlinkLeftLedPin, HIGH);
digitalWrite(BlinkRightLedPin, HIGH);
digitalWrite(FrontLedPin, HIGH);
digitalWrite(Rear1LedPin, HIGH);
digitalWrite(Rear2LedPin, HIGH);
}

void loop() {


  if(FrontButtonPushCounter % 2 == 0){
    Serial.println(0);
    delay(70);
  }else{
    Serial.println(1);
    delay(70);
  }


  if(digitalRead(10) == HIGH){
    digitalWrite(Rear1LedPin, HIGH);
    digitalWrite(Rear2LedPin, HIGH);
  }else{
    digitalWrite(Rear1LedPin, LOW);
    digitalWrite(Rear2LedPin, LOW);
  }

  BlinkLeftButtonState = digitalRead(BlinkLeftButtonPin);
  if (BlinkLeftButtonState != BlinkLeftLastButtonState) {
    if (BlinkLeftButtonState == HIGH) {
      BlinkLeftButtonPushCounter++;
    }
  }
  BlinkLeftLastButtonState = BlinkLeftButtonState;

  BlinkRightButtonState = digitalRead(BlinkRightButtonPin);
  if (BlinkRightButtonState != BlinkRightLastButtonState) {
    if (BlinkRightButtonState == HIGH) {
      BlinkRightButtonPushCounter++;
    }
  }
  BlinkRightLastButtonState = BlinkRightButtonState;


  FrontButtonState = digitalRead(FrontButtonPin);
  if (FrontButtonState != FrontLastButtonState) {
    if (FrontButtonState == HIGH){
      FrontButtonPushCounter++;
    }
  }
  FrontLastButtonState = FrontButtonState;

  BothButtonState = digitalRead(BothButtonPin);
  if (BothButtonState != BothLastButtonState) {
    if (BothButtonState == HIGH){
      BothButtonPushCounter++;
    }
  }
  BothLastButtonState = BothButtonState;

 LightShowButtonState = digitalRead(LightShowButtonPin);
  if (LightShowButtonState != LightShowLastButtonState) {
    if (LightShowButtonState == HIGH){
      LightShowButtonPushCounter++;
    }
  }
  LightShowLastButtonState = LightShowButtonState;





  if (BlinkLeftButtonPushCounter % 2 == 0 && BothButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkLeftLedPin, HIGH);
    delay(100);                       // wait for a second
    digitalWrite(BlinkLeftLedPin, LOW);    // turn the LED off by making the voltage LOW
    delay(100);                       // wait for a second
  } 


  if (BlinkRightButtonPushCounter % 2 == 0 && BothButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkRightLedPin, HIGH);
    delay(100);                       // wait for a second
    digitalWrite(BlinkRightLedPin, LOW);    // turn the LED off by making the voltage LOW
    delay(100);                       // wait for a second
  } 


  if (FrontButtonPushCounter % 2 == 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(FrontLedPin, HIGH);
  } 

  if (BothButtonPushCounter % 2 == 0 && BlinkLeftButtonPushCounter % 2 != 0 && BlinkRightButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkRightLedPin, HIGH);
    digitalWrite(BlinkLeftLedPin, HIGH);
  } 
  
  
  if (LightShowButtonPushCounter % 2 == 0 && LightShowButtonPushCounter != 0 && BlinkLeftButtonPushCounter % 2 != 0 && BlinkRightButtonPushCounter % 2 != 0 && BothButtonPushCounter % 2 != 0 && FrontButtonPushCounter % 2 != 0) {
digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
delay(250);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(1000);
   digitalWrite(BlinkLeftLedPin, HIGH);
delay(250);
   digitalWrite(BlinkRightLedPin, HIGH);
delay(250);
   digitalWrite(FrontLedPin, HIGH);
delay(250);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(BlinkLeftLedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, HIGH);
   digitalWrite(BlinkRightLedPin, LOW);
delay(250);
   digitalWrite(FrontLedPin, LOW);
delay(250);
   digitalWrite(Rear1LedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
delay(250);
   digitalWrite(FrontLedPin, HIGH);
delay(250);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(Rear2LedPin, LOW);
delay(250);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(Rear1LedPin, LOW);
delay(250);
   digitalWrite(FrontLedPin,LOW);
delay(250);
   digitalWrite(FrontLedPin, HIGH);
delay(250);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(BlinkLeftLedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, HIGH);
   digitalWrite(BlinkRightLedPin, LOW);
delay(250);
   digitalWrite(FrontLedPin, LOW);
delay(250);
   digitalWrite(Rear1LedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, LOW);
delay(250);
   digitalWrite(Rear2LedPin, HIGH);
delay(250);
   digitalWrite(Rear1LedPin, HIGH);
delay(250);
   digitalWrite(FrontLedPin, HIGH);
delay(250);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(Rear2LedPin, LOW);
delay(250);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(Rear1LedPin, LOW);
delay(250);
   digitalWrite(FrontLedPin,LOW);
delay(250);
   digitalWrite(BlinkRightLedPin, LOW);
delay(250);
   digitalWrite(BlinkLeftLedPin, LOW);
   delay(1000);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(1000);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   delay(1000);
     digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(1000);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   delay(1000);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(100);
       digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(100);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, LOW);
   digitalWrite(Rear2LedPin, LOW);
   delay(500);
   digitalWrite(BlinkLeftLedPin, HIGH);
   digitalWrite(BlinkRightLedPin, HIGH);
   digitalWrite(FrontLedPin, HIGH);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
   delay(500);
   digitalWrite(BlinkLeftLedPin, LOW);
   digitalWrite(BlinkRightLedPin, LOW);
   digitalWrite(FrontLedPin, LOW);
   digitalWrite(Rear1LedPin, HIGH);
   digitalWrite(Rear2LedPin, HIGH);
  
  } else {


  if (BlinkLeftButtonPushCounter % 2 == 0 && BlinkLeftButtonPushCounter != 0 && BothButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkLeftLedPin, HIGH);
    delay(100);                       // wait for a second
    digitalWrite(BlinkLeftLedPin, LOW);    // turn the LED off by making the voltage LOW
    delay(100);                       // wait for a second
  } else {
    // turn LED off:
    digitalWrite(BlinkLeftLedPin, LOW);
  }


  if (BlinkRightButtonPushCounter % 2 == 0 && BlinkRightButtonPushCounter != 0 && BothButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkRightLedPin, HIGH);
    delay(100);                       // wait for a second
    digitalWrite(BlinkRightLedPin, LOW);    // turn the LED off by making the voltage LOW
    delay(100);                       // wait for a second
  } else {
    // turn LED off:
    digitalWrite(BlinkRightLedPin, LOW);
  }


  if (FrontButtonPushCounter % 2 == 0 && FrontButtonPushCounter != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(FrontLedPin, HIGH);
  } else {
    digitalWrite(FrontLedPin, LOW);
  }

  if (BothButtonPushCounter % 2 == 0 && BothButtonPushCounter != 0 && BlinkLeftButtonPushCounter % 2 != 0 && BlinkRightButtonPushCounter % 2 != 0 && LightShowButtonPushCounter % 2 != 0) {
    digitalWrite(BlinkRightLedPin, HIGH);
    digitalWrite(BlinkLeftLedPin, HIGH);
  } 


 
  } 

}
